reset
# ========================================================================================================
# Plot data
  plot "data/data.dat" using 1:2:3 with yerrorbars lc "red" notitle
replot "data/data.dat" using 1:2 with points pt 7 ps 1.0 lc "red" title "Exp1"
replot "data/data.dat" using 1:4 with lines lc "0x00AA00" lw 2 title "Exp2"
replot "data/data.dat" using 1:6 with boxes fill transparent solid 0.3 noborder lc "blue" title "Exp3"

# ---------------------------------------
# Let us add some labels. At this point I do not need the top title.
set ylabel "Probability density / a.u." 
set xlabel "Property / a.u."
replot

# ========================================================================================================

