reset
# ========================================================================================================
# 3D plots with splot.

f(x,y) = sin(x*x + y*y) / (x*x + y*y)

# Set the appropriate ranges
set xrange [-3:3]
set yrange [-3:3]

splot f(x,y) 

# Resolution
show isosamples
set isosamples 40
replot

# Adjust the view point and mode
set view 70,45 
set view equal xy
replot

#Remove hidden parts
set hidden3d 
replot

# Add countour lines 
set contour
replot

# ---------------------------------------
# Let us add some labels. At this point I do not need the top title.
set ylabel "Y-axis" 
set xlabel "X-axis"
replot

# ========================================================================================================

