reset
# ========================================================================================================
# Let us set the parametric plotting mode.
# unset parametric
set parametric

# Default u and v ranges are too large.
set vrange [0:2*pi]
set urange [0:2*pi]

# Increase resolution for wireframes.
show isosamples
set isosamples 30

#Remove hidden parts
set hidden3d nooffset

x(u,v) = cos(v)*(R + r*cos(u))
y(u,v) = sin(v)*(R + r*cos(u))
z(u,v) = r * sin(u)

r = 1; R = 3

splot x(u,v),y(u,v),z(u,v) title "Torus"

# Correct the aspects
set zrange [-3:3]
set yrange [-5:5]
set xrange [-5:5]
replot

# ---------------------------------------
# Let us add some labels. At this point I do not need the top title.
set ylabel "Y-axis" 
set xlabel "X-axis"
replot

# ========================================================================================================

