reset
# ========================================================================================================
# Let us set the parametric plotting mode.
# unset parametric
set parametric

set xzeroaxis lw 1
set yzeroaxis lw 1

# ---------------------------------------
# Let us try something fancy.
set samples 10000, 10000
set trange[0:2*pi] 


j = 3; k = 3;

x(t, a, b, c, d) = cos(a * t) - cos(b*t)**j
y(t, a, b, c, d) = sin(c*t) - sin(d*t)**k

#plot x(t, 1,3,3,1), y(t, 1,3,3,1) lw 2 lt 6 title "j=3; k=3, 1,3,3,1"
plot x(t, 80,1,80,1), y(t, 80,1,80,1) lw 1 lt 6 title "j=3; k=3, 80,1,80,1"
pause 2

replot x(t, 1,7,1,7), y(t, 1,7,1,7) lw 4 lt 7 title "j=3; k=3, 1,7,1,7"

# ---------------------------------------
# Let us add some labels. At this point I do not need the top title.
set ylabel "Y-axis" 
set xlabel "X-axis"
replot

# ========================================================================================================
