reset
# ========================================================================================================
# 3D plots with splot.

# Resolution
show isosamples
set isosamples 60

#Remove hidden parts
set hidden3d 

# Add countour lines 
set contour

f2(x,y) =  x*y / (x**2 + y**2 + 0.1)

# Set the appropriate ranges
set xrange [-8:8]
set yrange [-8:8]

# Adjust the view point and mode
set view equal xy
set view 52,19 

splot f2(x,y) with lines lw 0.5 

# ---------------------------------------
# Let us add some labels. At this point I do not need the top title.
set ylabel "Y-axis" 
set xlabel "X-axis"
replot

# ========================================================================================================

